Class List Method List File List

# Class: Vertx::ServerWebSocket

Inherits:
  WebSocket
  - Object
  - WebSocket
  - Vertx::ServerWebSocket
  show all
Defined in:
  src/main/ruby_scripts/core/http.rb

## Overview

Instances of this class are created when a WebSocket is accepted on the server. It extends WebSocket and adds methods to reject the WebSocket and an attribute for the path.

## Instance Method Summary (collapse)

- - (Object) path
  The path the websocket connect was attempted at.
- - (Object) reject
  Reject the WebSocket This can be called in the websocket connect handler on the server side and will cause the WebSocket connection attempt to be rejected, returning a 404 to the client.

### Methods inherited from WebSocket

#binary_handler_id, #close, #closed_handler, #text_handler_id, #write_binary_frame, #write_text_frame

### Methods included from ReadStream

#data_handler, #end_handler, #exception_handler, #pause, #resume

### Methods included from WriteStream

#drain_handler, #exception_handler, #write_buffer, #write_queue_full?, #write_queue_max_size=

## Instance Method Details

### - (`Object`) path

The path the websocket connect was attempted at.

    761
    762
    763

    # File 'src/main/ruby_scripts/core/http.rb', line 761

    def path
      @j_del.path
    end

### - (`Object`) reject

Reject the WebSocket This can be called in the websocket connect handler on the server side and will cause the WebSocket connection attempt to be rejected, returning a 404 to the client.

    756
    757
    758

    # File 'src/main/ruby_scripts/core/http.rb', line 756

    def reject
      @j_del.reject
    end